ch.qos.logback.classic.spi

## Class TurboFilterList

- java.lang.Object
- - java.util.concurrent.CopyOnWriteArrayList<TurboFilter>
  - - ch.qos.logback.classic.spi.TurboFilterList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<TurboFilter>, Collection<TurboFilter>, List<TurboFilter>, RandomAccess

    public final class TurboFilterList
    extends CopyOnWriteArrayList<TurboFilter>

Implementation of TurboFilterAttachable.

Author:
  Ceki Gülcü
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TurboFilterList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterReply` `getTurboFilterChainDecision(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)` Loop through the filters in the chain.

### Methods inherited from class java.util.concurrent.CopyOnWriteArrayList

`add, add, addAll, addAll, addAllAbsent, addIfAbsent, clear, clone, contains, containsAll, equals, forEach, get, hashCode, indexOf, indexOf, isEmpty, iterator, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### TurboFilterList

    public TurboFilterList()

### Method Detail

#### getTurboFilterChainDecision

    public FilterReply getTurboFilterChainDecision(org.slf4j.Marker marker,
                                                   Logger logger,
                                                   Level level,
                                                   String format,
                                                   Object[] params,
                                                   Throwable t)

Loop through the filters in the chain. As soon as a filter decides on ACCEPT or DENY, then that value is returned. If all of the filters return NEUTRAL, then NEUTRAL is returned.